### Constructor

# FwupdPlugin OpromFirmware new

since: 1.8.2

#### Declaration [src]

    FuFirmware*
    fu_oprom_firmware_new (
      void
    )

#### Description [src]

Creates a new `FuFirmware` of OptionROM format.

Available since: 1.8.2

#### Return value

Type: `FuFirmware`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.